---
title: Get System Permissions
slug: api-documentation/get-system-permissions
docTags: 
createdAt: 2026-08-27T16:18:26.773Z
---

{
  "id": "0A1LBqNgZbJSzo2ijxUTE",
  "type": "api-oas-v2",
  "data": {
    "method": "GET",
    "url": "https://api.upstartcommerce.com/v1/user/auth/permission",
    "servers": [
      {
        "url": "https://api.upstartcommerce.com/v1/user/auth/permission"
      }
    ],
    "name": "Get System Permissions",
    "description": "<p>This will return all available permissions in the system.</p>\n<p>Example, to get all permissions for 'catalog' domain having 'view' and 'create' tags:</p>\n<pre><code>/user/auth/permission?domain=catalog&#x26;tags=view,create\n</code></pre>\n<p>Available domains:\n<code>cart</code>, <code>catalog</code>, <code>customer</code>, <code>data-feed</code>, <code>dmc-shipping-calc</code>, <code>enumeration</code>, <code>finance-offer</code>, <code>inventory</code>, <code>location</code>, <code>order</code>, <code>pricing</code>, <code>promotion</code>, <code>quote</code>, <code>rating</code>, <code>shipping-method</code>, <code>siteactivity</code>, <code>tenant</code></p>\n<p>Available tags:\n<code>create</code>, <code>update</code>, <code>delete</code>, <code>view</code>, <code>internal-mgmt</code>, <code>cart-mgmt</code>, <code>catalog-mgmt</code>, <code>customer-mgmt</code>, <code>data-feed-mgmt</code>, <code>dmc-shipping-calc-mgmt</code>, <code>enumeration-mgmt</code>, <code>finance-offer-mgmt</code>, <code>inventory-mgmt</code>, <code>location-mgmt</code>, <code>order-mgmt</code>, <code>pricing-mgmt</code>, <code>promotion-mgmt</code>, <code>quote-mgmt</code>, <code>rating-mgmt</code>, <code>shipping-method-mgmt</code>, <code>siteactivity-mgmt</code>, <code>tenant-mgmt</code>, <code>user-mgmt</code></p>\n<p>Required permissions:</p>\n<ul>\n<li><code>user.permission.read</code></li>\n</ul>\n<p>Authorized system roles:</p>\n<ul>\n<li><code>system.admin</code></li>\n<li><code>user.mgmt</code></li>\n</ul>",
    "contentType": "application/json",
    "request": {
      "pathParameters": [],
      "headerParameters": [
        {
          "name": "accept",
          "type": "string",
          "kind": "optional",
          "description": "Generated from available response content types",
          "enum": [
            "application/json"
          ],
          "default": "application/json"
        },
        {
          "kind": "required",
          "name": "x-upstart-tenant",
          "type": "string",
          "description": "Tenant identifier associated with the site this call is for."
        }
      ],
      "queryParameters": [
        {
          "kind": "optional",
          "name": "domain",
          "type": "string",
          "example": "catalog",
          "description": "A domain name to get the permissions for."
        },
        {
          "kind": "optional",
          "name": "tags",
          "type": "array",
          "example": "[\"view\"]",
          "description": "<p>A comma separated list of tags to match on a permission. Every service can have more domain specific permissions and tags, use <code>domain</code> query parameter to list all the available permissions and their tags.</p>",
          "schema": [],
          "itemType": "string",
          "customType": "string[]"
        }
      ],
      "bodyDataParameters": [],
      "formDataParameters": [],
      "oAuthParameters": [
        {
          "id": "SessionIdAccess",
          "name": "X-Upstart-Session-Id",
          "kind": "optional",
          "type": "apiKey",
          "description": "<p>Session based authorization. This authentication is required for clients to interact with any of the management APIs. Similar to ''LoggedIn'', it indicates that the user has actually logged into the system, but in this case with a management role.</p>",
          "in": "header"
        },
        {
          "id": "ApiKeyAccess",
          "name": "X-Upstart-Api-Key",
          "kind": "optional",
          "type": "apiKey",
          "description": "Api key based authorization.",
          "in": "header"
        }
      ],
      "cookieParameters": []
    },
    "responses": [
      {
        "statusCode": "200",
        "description": "This response lists permissions matching the provided query.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "array",
            "description": "<p>Summary of a permission: its identity, domain, tags, and any related or replacement permissions.</p>",
            "customType": "PermissionSummary[]",
            "schema": [
              {
                "name": "id",
                "kind": "required",
                "type": "string",
                "description": "Unique permission id.",
                "minLength": 1
              },
              {
                "name": "domain",
                "kind": "required",
                "type": "string",
                "description": "Associated domain.",
                "minLength": 1
              },
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": "Readable name.",
                "minLength": 1
              },
              {
                "name": "description",
                "kind": "optional",
                "type": "string",
                "description": "Optional description.",
                "minLength": 1
              },
              {
                "name": "tags",
                "kind": "required",
                "type": "array",
                "description": "List of tags associated with a permission. Tags group up relevant permissions to simplify search and role creation.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "enabled",
                "kind": "required",
                "type": "boolean",
                "description": "<p>Enabled/disabed flag.</p>"
              },
              {
                "name": "relatedIds",
                "kind": "required",
                "type": "array",
                "description": "Reserved for future use.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "replacementIds",
                "kind": "required",
                "type": "array",
                "description": "Reserved for future use.",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              }
            ],
            "modelRef": "#/components/schemas/PermissionSummary",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "400",
        "description": "The request contained information that the server was unable to process. Appropriate errors are provided in the response body.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "Details of a request that failed validation.",
            "customType": "ValidationErrorResponse",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "array",
                "description": "",
                "example": "",
                "itemType": "string",
                "customType": "string[]",
                "itemExample": "",
                "itemDefault": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ValidationErrorResponse",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "401",
        "description": "The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>Credentials are missing, expired or insufficient (HTTP 401).</p>",
            "customType": "UnauthorizedError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/UnauthorizedError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "403",
        "description": "<p>An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.</p>",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>The request is understood but refused (HTTP 403).</p>",
            "customType": "ForbiddenError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ForbiddenError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "404",
        "description": "The requested resource was not found in the NoChannel system.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>The addressed resource does not exist (HTTP 404).</p>",
            "customType": "NotFoundError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/NotFoundError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "409",
        "description": "The request conflicts with the current state of the resource.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>The request conflicts with existing state (HTTP 409).</p>",
            "customType": "ConflictError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/ConflictError",
            "isExpanded": true
          }
        ]
      },
      {
        "statusCode": "500",
        "description": "Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.",
        "jsonExample": "",
        "isExpanded": true,
        "schema": [
          {
            "kind": "optional",
            "type": "object",
            "description": "<p>The request failed for an unexpected reason (HTTP 500).</p>",
            "customType": "InternalServerError",
            "schema": [
              {
                "name": "name",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "code",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "detail",
                "kind": "required",
                "type": "string",
                "description": ""
              },
              {
                "name": "reason",
                "kind": "optional",
                "type": "string",
                "description": ""
              }
            ],
            "modelRef": "#/components/schemas/InternalServerError",
            "isExpanded": true
          }
        ]
      }
    ],
    "hasXCodeSamples": false,
    "examples": {
      "languages": [
        {
          "id": "BSf1UU0LmgRvB87oQp6-e",
          "language": "curl",
          "label": "cURL",
          "code": "curl --request GET \\\n     --url https://api.upstartcommerce.com/v1/user/auth/permission \\\n     --header 'accept: application/json' \\\n     --header 'x-upstart-tenant: string'"
        },
        {
          "id": "9HU7-EoiYo2siN8lPVjze",
          "language": "javascript",
          "label": "javascript",
          "code": "var myHeaders = new Headers();\nmyHeaders.append(\"accept\", \"application/json\");\nmyHeaders.append(\"content-type\", \"application/json\");\nmyHeaders.append(\"x-upstart-tenant\", \"string\");\n\nvar requestOptions = {\n   method: 'GET',\n   headers: myHeaders,\n   redirect: 'follow'\n};\n\nfetch(\"https://api.upstartcommerce.com/v1/user/auth/permission\", requestOptions)\n   .then(response => response.text())\n   .then(result => console.log(result))\n   .catch(error => console.log('error', error));"
        },
        {
          "id": "cm1ldh8tKmXCwba0hfh2d",
          "language": "ruby",
          "label": "Ruby",
          "code": "require \"uri\"\nrequire \"json\"\nrequire \"net/http\"\n\nurl = URI(\"https://api.upstartcommerce.com/v1/user/auth/permission\")\n\nhttps = Net::HTTP.new(url.host, url.port)\nhttps.use_ssl = true\n\nrequest = Net::HTTP::Get.new(url)\nrequest[\"accept\"] = \"application/json\"\nrequest[\"content-type\"] = \"application/json\"\nrequest[\"x-upstart-tenant\"] = \"string\"\n\nresponse = https.request(request)\nputs response.read_body\n"
        },
        {
          "id": "2be40T7kECwqTy7zwCRo7",
          "language": "python",
          "label": "Python",
          "code": "import requests\nimport json\n\nurl = \"https://api.upstartcommerce.com/v1/user/auth/permission\"\n\npayload = {}\nheaders = {\n   'accept': 'application/json',\n   'content-type': 'application/json',\n   'x-upstart-tenant': 'string'\n}\n\nresponse = requests.request(\"GET\", url, headers=headers, data=payload)\n\nprint(response.text)\n"
        }
      ],
      "selectedLanguageId": "BSf1UU0LmgRvB87oQp6-e"
    },
    "results": {
      "languages": [
        {
          "id": "26AVhbwXrGZIgz3eQz1P9",
          "language": "200",
          "code": "// This response lists permissions matching the provided query.\n[\n  {\n    \"id\": \"\",\n    \"domain\": \"\",\n    \"name\": \"\",\n    \"description\": \"\",\n    \"tags\": [\n      \"\"\n    ],\n    \"enabled\": false,\n    \"relatedIds\": [\n      \"\"\n    ],\n    \"replacementIds\": [\n      \"\"\n    ]\n  }\n]"
        },
        {
          "id": "RjH5mUV2SlstGw7wImNXu",
          "language": "400",
          "code": "// The request contained information that the server was unable to process. Appropriate errors are provided in the response body.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": [\n    \"\"\n  ],\n  \"reason\": \"\"\n}"
        },
        {
          "id": "akQcX4NaQvgFNB7eOq_AI",
          "language": "401",
          "code": "// The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "6Iu6YRQmUoPQYMT9uchB8",
          "language": "403",
          "code": "// An update to this resource requires the if-match and if-unmodified-since headers to be sent in order to process the request.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "kRJ6RiH3a1HD30nGK90Yn",
          "language": "404",
          "code": "// The requested resource was not found in the NoChannel system.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "Pybfoa9AyWPrx_rWZ3ltl",
          "language": "409",
          "code": "// The request conflicts with the current state of the resource.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        },
        {
          "id": "JTNwXtlIaJz8vdYAL5I7o",
          "language": "500",
          "code": "// Internal server error. The server encountered an unexpected condition that prevented it from fulfilling the request.\n{\n  \"name\": \"\",\n  \"code\": \"\",\n  \"detail\": \"\",\n  \"reason\": \"\"\n}"
        }
      ],
      "selectedLanguageId": "26AVhbwXrGZIgz3eQz1P9"
    }
  },
  "children": [
    {
      "text": ""
    }
  ]
}